<?php

namespace CouponsPlus\App\Coupon\Tree\Branches;

use CouponsPlus\App\Coupon\Tree\Abilities\Branch;
use CouponsPlus\Original\Characters\StringManager;
use CouponsPlus\Original\Collections\Collection;

/**
 * Seems like this is deprecated
 * @deprecated
 */
class QuantityFilterNodesBranch implements Branch
{
    private $nodesBranch;

    public function __construct(NodesBranch $nodesBranch)
    {
        $this->nodesBranch = $nodesBranch;
    }

    public function getType(): StringManager
    {
        return new StringManager('QuantityFilterTiered');        
    } 
    
    public function getChildren(): Collection
    {
        return $this->nodesBranch->getChildren();        
    } 
}